---
title: MediaStreamTrack.onmute
slug: Web/API/MediaStreamTrack/onmute
tags:
  - Event Handler
  - Media Capture
  - Media Capture and Streams
  - MediaStreamTrack
  - Property
  - Reference
  - WebRTC
  - mute
  - onmute
---
<div>{{ APIRef("Media Capture and Streams") }}</div>

<p><span class="seoSummary">{{domxref("MediaStreamTrack")}}'s <code><strong>onmute</strong></code> event handler is called when the {{event("mute")}} event is received.</span> Such an event is sent when the track is temporarily not able to send data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>track</em>.onmute = <em>muteHandler</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A function to serve as an {{domxref("EventHandler")}} for the {{event("mute")}} event. The event handler function receives a single parameter: the event object, which is a simple {{domxref("Event")}} object.</p>

<h2 id="Example">Example</h2>

<p>In this example, an <code>onmute</code> handler is established to set the content HTML of an element to display the "muted speaker" Emoji.</p>

<pre class="brush: js">myTrack.onmute = function(evt) {
  playStateIcon.innerHTML = "&amp;#1F507;";
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrack-onmute', 'MediaStreamTrack.onmute') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.onmute")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{event("mute")}} event and its type, {{domxref("Event")}}.</li>
 <li>{{domxref("MediaStreamTrack.muted")}} to determine if a track is currently muted</li>
 <li>{{domxref("MediaStreamTrack.onunmute")}}, the event handler for the {{domxref("unmute")}} event.</li>
</ul>
